<?php

    $resultado_id = isset($_REQUEST['id']) ? $_REQUEST  ['id'] : '-1';
    
    $page = isset($_POST['page']) ? intval($_POST['page']) : 1;
    $rows = isset($_POST['rows']) ? intval($_POST['rows']) : 10;
    $offset = ($page-1)*$rows;
    $result = array();
    
    include '../rdb/conn.php';
        $where ="";
    if ($resultado_id <>'') {$where .= " and resultado_id = $resultado_id"; }
    
    $sql = "SELECT count(*) FROM ";
    $sql .= "eventos_programados_rojo   ";
    $sql .= "where 1  ";
    $sql.= $where;
    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    
    if ($result["total"] === 0) {exit;}  

   
$sql = "SELECT  evento_id,	    ";
$sql .= "evento_original_id, ";
$sql .= " resultado_id,  ";
$sql .= " DATE_FORMAT(fevento ,'%Y/%m/%d')fecha_limite,";  
$sql .= " tipo_evento_id,  		   ";
$sql .= " (select nombre from tipo_de_eventos_rojo where id=tipo_evento_id) tipo_evento,   ";
$sql .= " tipo_tramite_id,								 ";
$sql .= "(select nombre from tipo_de_tramites_rojo where id=tipo_tramite_id) tipo_tramite,  ";
$sql .= " DATE_FORMAT(fcumplimiento ,'%Y/%m/%d') fecha_cumplido, 				   ";
$sql .= "tipo_modo_reclamo_id	,";
$sql .= "(select nombre from tipo_modo_reclamo_rojo where id=tipo_modo_reclamo_id) tipo_modo_reclamo,";
$sql .= "	destinatario,";
$sql .= "	direccion_de_reclamo,";
$sql .= "     evt_observaciones observacion,  ";
$sql .= "     (select nombre from usuario where id=evtResponsable_id) responsable,  ";
$sql .= "     evtResponsable_id responsable_id  ";
$sql .= "      FROM eventos_programados_rojo   ";
$sql .= "     WHERE 1  ";
        $sql.= $where;   

 $sql .= "     order by fevento ,tipo_evento_id ";
    
 
    
    $rs = mysqli_query( $conn,$sql);
    
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;

    echo json_encode($result);
    
?>